/**
 * @file
 * people-group.css
 * 
 * Added to the people_group view.
 */
 

/**
 * Layout
 */
.main-inner {
  gap: 136px;
  padding: 64px;
  font-size: 18px;
}


.layout-content {
  flex-basis: 768px;
  max-width: 768px;
  padding: 0 32px;
}
@media (min-width: 1440px){
    .layout-content{
        max-width: 100%;
    }
}

.layout-sidebar-second {
    padding-top:50px;
    padding-bottom:70px;
    margin-bottom: 30px;
}

/**
 * Elements
 */
.content h3 {
  font-size: 32px;
  font-weight: 700;
  margin-bottom: 30px;
}
            
.content h4 {
  font-size: 24px;
  font-weight: 700;
  margin-bottom: 25px;
}

.wp-block-embed {
    margin: 20px 0;
}

.wp-block-gallery.has-nested-images {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
} 

/**
 * Hero Section
 */
.people-hero {
  background: #fbedd7;
  align-items: start;
  overflow: hidden;
  position: relative;
  z-index: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
}

.people-hero__image-wrap {
  width: 50%;
  position: relative;
  margin-left: -6%;
  line-height: 0;
}

.people-hero__image-wrap:before,
.people-hero__image-wrap:after {
  content: '';
  position: absolute;
  display: block;
  background: #EBA545;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  border-radius: 100%;
  --circle-width: 120%;
  width: var(--circle-width);
  height: var(--circle-width);
  z-index: -1;
  opacity: 20%;
}

.people-hero__image-wrap:after {
  --circle-width: 140%;
  opacity: 10%;
  z-index: -2;
}

.people-hero__image {
  overflow: hidden;
  border-radius: 0 100% 100% 0;
}

.people-hero__image img {
  height: 751px;
  width: auto;
  max-width: none;
  transform: translateX(-50%);
  margin-left: 50%;
}

.people-hero h2 {
  font-size: 80px;
  margin-top: 30px;
  margin-bottom: 50px;
  font-weight: 800;
  overflow-wrap: break-word;
}
.people-hero p {
  margin-bottom: 0;
  font-weight: 700;
}
.people-hero-text-wrapper {
  position: absolute;
  /*top:160px;*/
  right: 160px;
  width: 440px;
}


@media (min-width: 1440px) {
    .main-inner, 
    .people-prayer-all, 
    .people-facebookShare {
        max-width: 1440px !important;
        padding: 64px 0 !important;
        margin: auto;
        
    }
    .people-hero__image img {
        height: 40vw;
        object-fit: cover
    }
  .people-hero{
    position: relative;
    z-index: 10;
  }
  .people-hero h2 {
    font-size: 4vw; 
    /* 80px / 1440 * 100 */
    margin-top: 2.08vw; /* 30px / 1440 * 100 */
    margin-bottom: 3.47vw; /* 50px / 1440 * 100 */
  }
  .people-hero p {
    margin-bottom: 0;
    font-size: 1.25vw;
  }
  .people-hero .button-general a{
    font-size: 1.111vw;
    padding: 0.833vw 1.389vw;
    border-radius: 2.083vw;
  }
  .people-hero-text-wrapper {
    position: absolute;
    /*top: 11.11vw; */
    /* 160px / 1440 * 100 */
    right: 11.11vw; /* 160px / 1440 * 100 */
    width: 30.56vw; /* 440px / 1440 * 100 */
  }
}
@media (max-width:1440px) {
  .people-hero-text-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    top:0;
  }
}
@media (max-width:1300px) {
  .people-hero-text-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    top:0;
    /*right: 5%;*/
  }
  
  .people-cityList-wrapper .wp-block-group__inner-container{
      width: 100%;
      margin: 0 40px;
  }
  .people-cityList{
      width: 100%;
  }
}
@media (max-width: 1000px){
  .people-hero-text-wrapper{
    right: 0;
    width: 100%;
    align-items: center;
    background-color: rgba(0,0,0,0.4);
  }
  .people-hero-text-wrapper .wp-block-group__inner-container{
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .people-hero h2{
    font-size: 40px;
    margin:20px 0;
    text-align: center;
  }
  .people-hero h2,
  .people-hero p{
    color:white;
  }
  .layout-content{
        max-width: -webkit-fill-available;
        padding: 0;
  }
}
@media (max-width: 820px){
  .people-hero img{
    height: 475px;
    /* height: 334px; */
    /* width: 600px; */
    object-position: left;
  }
}

/**
 * City List
 */
.people-cities {
  position: absolute;
  margin-top: -45px;
  width: 100%;
  display: flex;
  justify-content: center;
  z-index: 10;
  color: white;
  font-size: 25px;
  line-height: 30px;
  font-weight: 600;
  /* font-family: 'Manrope', sans-serif; */
  vertical-align: text-bottom;
}

.people-cities .view-content {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #163954;
  padding: 30px 50px 30px 50px;
  max-width: 1174px;
  width: 90%;
  border-radius: 10px;
}

.people-cities .views-field-title {
  float: left;
}

.people-cities .views-row:not(:last-child):after {
  content: "/";
  margin: 0 10px;
}

.people-cities a {
    color: white;
}
.people-cities .active {
    color: #EBA545;
} 

/**
 * Featured Prayers
 */
.people-prayer-featured-wrapper{
  padding: 48px calc((100vw - 1174px + (64px * 4))/2);
  background-color: #F3F0EC;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 48px;
}

.people-prayer-featured .view-content.view-rows{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 64px;
}
.people-prayer-featured .views-row{
  min-width: 260px;
  font-size: 16px;
  padding: 20px;
  background: #FFFFFF;
  border-top: 10px solid #EBA545;
  border-radius: 8px;
}
.people-prayer__content{
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 16px;   
}

.people-prayer-featured h2 {
  text-align: center;
  text-transform: capitalize;
  margin-top: 85px;
  margin-bottom: 64px;
}

.people-prayer-more {
  margin: 48px 0;
  overflow: hidden;
  height: 0;
  transition: all 0.25s;
}
.people-prayer-more .view-content.view-rows{
    padding: 0 !important;
    display: block !important;
}
.people-prayer-more span, .people-prayer-more span p{
    display: inline;
}
.people-prayer-more span{
    margin-right: 16px;
}
.people-prayer-more ul {
  margin-left: 0;
  list-style-position: inside;
}

.people-prayer-more li {
  display: flex;
  flex-direction: row;
  /*align-items: center;*/
  gap: 25px;
  margin-bottom: 16px;
}

.people-prayer-more li:before {
  content: '• ';
  /*content: "ÃƒÂ¢Ã¢â€šÂ¬Ã‚Â¢";*/
  font: inherit;
  font-size: 17px;
  font-weight: bold;
}

.people-prayer-more a {  font-weight: bold;  }

.people-prayer-more h2 {
  margin-top: 0 !important;
  display: flex;
  justify-content: center;
  padding-top: 80px;
  padding-bottom: 55px;
}

.people-prayer-more h3 {
  padding-top: 24px;
  padding-bottom: 20px;
}

.people-prayer-more blockquote {
  margin: 36px 0;
  padding-left: 20px;
  border-left: 2px solid #163954;
  color: #163954;
  font-size: 20px;
  font-style: italic;
}

/*all prayers*/
.people-prayer-all{
    padding: 64px 0;
    max-width: 80%;
}
.people-prayer-all li{
    /*display: flex;*/
    /*flex-direction: row;*/
    margin-bottom: 16px;
}
.people-prayer-all h3{
    margin-bottom: 20px;
}
.people-prayer-all p{
    display: inline;
}
.people-prayer-all span{
    margin-right: 8px;
}
.people-prayer-all ul{
    margin-left: 1rem;
}

/**
 * Breadcrumbs
 */
#block-people-breadcrumbs ol {
  display: flex;
  flex-direction: row;
  margin: 0 0 40px;
  align-items: center;
  font-size: 18px;
}

#block-people-breadcrumbs li {
  display: block;
}

#block-people-breadcrumbs li:not(:last-child):after {
  content: '> ';
  white-space: pre;
}

/**
 * Social Media Share Icons
 */
.people-body-share-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 70px;
  padding-bottom: 45px;
  justify-content: center;
  border-bottom: 2px solid #163954;
}

.people-body-share-links {
  display: flex;
  flex-direction: row;
  gap:8px;
  justify-content: center;
}
.people-body-share-links figure {
  background-color: #EEEEEE;
  border-radius: 64px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.people-body-share-links img {
  padding: 4px;
}

/**
 * Spotify
 */

.people-resources-row {
  display: grid;
  grid-template-columns: 2fr 1fr;
  align-items: center;
}

.people-content-resources {
    height: 100%;
}

.people-content-resources, .people-content-resources .people-content {
    max-width: 408px;
}

.people-share-spotify-button-wrapper {
    z-index: 1;
    position: relative;
    cursor: pointer;
}

.people-share-spotify-button {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 12px 24px;
    background: #163954;
    border-radius: 500px;
    gap: 12px;
}

.people-share-spotify-button p {
    color: white;
    margin-bottom: 0;
}

.people-share-spotify-wrapper {
    margin-bottom: 60px;
}

.people-share-spotify {
    overflow: hidden;
    position: relative;
    padding-top: 0px;
    top: -25.5px;
    background: #005B63;
    border-radius: 0 0 30px 30px;
    height:0;
    transition: all 0.2s;
}
.people-share-spotify-wrapper {
    position: relative;
}
.people-share-closeIcon {
    position: absolute;
    z-index: 2;
    right: 43px;
    top: 18px;
}
.people-share-closeIcon {
    display: none;
}

#button-people-more {
    cursor: pointer;
    outline: none;
    border: none;
}

/**
 * Resources
 */
.people-resources .view-rows {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: 20px;
}
.people-resources .view-header{
    text-align: center;
}
.people-resource {
    display: flex;
    flex-direction: row;
    /*align-items: center;*/
    gap: 14.5px;
    border-radius: 8px;
    padding: 5px 0;
    transition: 0.2s;
}

.people-resource__desc p {
    font-size: 14px;
}

.people-resource:before {
  content: '';
  display: block;
  border-radius: 100%;
  width: 72px;
  height: 72px;
  padding: 14.5px;
  display: flex;
  justify-content: center;
  align-items: flex-start;
  background: #EEEEEE;
  flex-shrink: 0;
}

.resource-type-id--32:before { /* Film */
  content: url("../../icon-film.png");
}

.resource-type-id--33:before { /* Audio */
  content: url("../../icon-audioBible.png");
}

.resource-type-id--34:before { /* Written */
  content: url("../../icon-written.png");
}

.people-resource__links {
  display: flex;
  flex-direction: row;
  gap: 6px;
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: all 0.4s;
}

@media (min-width: 626px) {
    .people-resource:hover .people-resource__links {
      height: 40px;
      opacity: 1;
    }
}


.resource__view {
  background: url("../../icon-share.png") no-repeat center;
}

.resource__share {
  background: url("../../icon-link.png") no-repeat center;
}

.resource__email {
  background: url("../../icon-email.png") no-repeat center;
}

.people-resource__links a {
  border-radius: 100%;
  width: 40px;
  height: 40px;
  padding: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #163954;
  cursor: pointer;
  text-indent: 100%;
  overflow: hidden;
  white-space: nowrap;
}

.people-resource__icons a:hover {
    background-color: #666666;
}

.people--pop-size-wrapper {
    margin-top: 32px;
}
.node--type-people-group article h2,
.people--pop-size-wrapper h2,
.node--type-people-group article h3,
.node--type-people-group article h4{
    padding: 24px 0;    
    font-weight: 700;
    font-size: 32px;
    line-height: 48px;
    text-transform: capitalize;
    margin: 0;
}
.node--type-people-group article h3{
    font-size: 24px;
}
.node--type-people-group article h4{
    font-size: 20px;
}
.node--type-people-group article{
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
}
.node--type-people-group article ol,
.node--type-people-group article ul {
    margin: 0 0 0 24px;
}
.node__content img {
    margin: 30px 0;
}
.wp-block-gallery img {
    margin: 0;
}

/**
 * Responsive
 * TODO: Add comments which styles are for which sections
 */
@media (max-width: 1475px){
    .people-resources .view-rows{
        flex-direction: row;
    }
    .node--type-people-group aside{
        width: 100%;
    }
    .people-content-resources, .people-content-resources .people-content{
        max-width: 100%;
    }
    .layout-sidebar-second{
        padding-top: 0;
        padding-bottom: 0;
    }
    .main-inner{
        gap: 60px;
    }
    .people-resources .view-rows{
        gap: 60px
    }
    .people-resource{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .people-resources .view-rows{
        margin-top: 30px;
    }
    
    /*share resources*/
    .people-resources{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    aside{
        padding: 32px 60px;
        margin-left: 0 !important;
        margin-top: 80px;
        z-index: 30;
        position: relative;
    }
    .people-resource__links{
      justify-content: center;
    }
}
@media (max-width:1440px) {
  .people-prayer-featured-wrapper{
      padding: 48px 20px;
  }
  .people-content{
      width: auto !important;
  }
  .people-content-info{
    flex-basis: 70%;
  }
  .people-content-wrapper{
      flex-basis: 30%;
  }
}
@media (max-width:1300px) {
  .people-hero-text-wrapper{
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    top:0;
    /*right: 5%;*/
  }
  .people-prayer-featured .view-content.view-rows{
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding: 48px;
  }
}
@media (max-width: 1000px){

  /* Featured */
  .people-prayer-featured .view-content.view-rows{
    display: grid;
    grid-template-columns: 1fr;
    padding: 48px;
  }
  .people-prayer-featured .views-row{
      max-width: 480px;
  }
  
  
.people-cities .view-content{
      padding: 30px;
  }
  /* Share */
  .people-content-2colWrapper{
      padding: 64px 25px;
      gap: 45px;
      flex-direction: column-reverse;
  }
  .people-share-resources{
      align-items: center;
      flex-direction: column;
  }
  .people-share-resources-content{
      text-align: center;
  }
  .people-share-resources-wrapper .wp-block-group__inner-container{
      display: grid;
      grid-template-columns: 1fr 1fr 1fr;
  }
  .people-share-resources-content{
      display: flex;
      gap: 15px;
  }
  .people-content-info{
      flex-basis: 60%;
  }
  .people-content-wrapper{
      flex-basis: 40%;
  }
  .people-content-resources, .people-content-resources .people-content{
      max-width: 100%;
  }
  .people-share h3, .people-share h4{
      text-align: center;
  }
  .people-resource__icons{
      width: 100%;
      justify-content: center;
  }
    .node--type-people-group .main-inner{
        padding: 32px 30px;
    }
}

@media (max-width: 675px){
    .people-cities .view-content{
        font-size: 20px !important;
    }
}
@media (max-width: 626px){
    .people-prayer-all{
        max-width: 100%;
    }
    .people-contentNav, .people-contentNav-linkTab{
        margin-bottom: 0 !important;
    }
    .people-prayer-featured .view-content.views-row{
        padding: 48px 52px;
        padding-top: 0 !important;
    }
    .people-prayer-featured-wrapper .block__title{
        text-align: center;
        padding: 0 52px;
        font-size: 32px !important;
        line-height: 38.4px;
        margin-top: 0;
        margin-bottom: 0;
    }
    #people-share-resources{
        margin-top: 0 !important;
    }
    .people-content-2colWrapper{
        padding: 32px 0;
    }
  .people-content-wrapper{
      z-index: 10;
  }
  
    .node--type-people-group .main-inner{
        padding: 32px 20px;
    }
  /*share resources*/
    .people-resource__desc{
        display: none;
    }
    .people-resources .view-rows{
        gap: 40px;
    }
  .people-share-spotify-wrapper{
      position: fixed;
      bottom: 0;
      margin-bottom: 0;
      left: 0;
      width: 100%;
  }
  .people-share-spotify{
      top:0;
      border-radius: 30px 30px 0 0;
      padding: 0 70px;
  }
  .people-share-spotify-button{
      width: fit-content;
      margin-bottom: 16px;
      margin-right: 16px;
  }
  .people-share-closeIcon{
      display: flex;
      z-index: 20;
  }
  .people-share-spotify{
      background-color: white;
      /*padding: 30px !important;*/
  }
  .people-share-spotify-button-wrapper .wp-block-group__inner-container{
      display: flex;
      justify-content: flex-end;
  }
    aside{
        padding: 32px 20px;
    }

}

@media (max-width: 600px){
    .people-cities .view-content{
        font-size: 14px !important;
        padding: 15px 10px;
        flex-wrap: wrap;
    }
    .people-cities .view-content .views-row{
        display: flex;
        flex-wrap: nowrap;
    }
    .people-cities .views-row:not(:last-child):after{
        margin: 0 4px;
    }
    /*share resources*/
    .people-resource,
    .people-resource div,
    .people-resource h4{
        max-width: 100px;
        text-align: center;
    }
}
@media (max-width: 450px){
    /*share resources*/
    .people-resource,
    .people-resource div,
    .people-resource h4{
        max-width: 65px;
        text-align: center;
    }

}

@media (max-width: 350px){
    .people-share h3{
        font-size: 24px !important;
    }
    .people-share h4{
        font-size: 12px !important;
    }
    .footer-main{
        padding: 80px 12px;
    }

  .getInvolved-give-rationale{
    margin:40px;
  }
}




/*
.people-resources-youtube {
    margin-top:20px;
}

.people-bodyText p {
}

.people-body-emphasis {
  font-size: 20px !important;
}
.people-body-image {
  margin-top: 40px;
  margin-bottom: 40px;
}
.people-body-image img {
  width: 100%;
  border-radius: 16px;
  margin-bottom: 20px;
}
.people-body-caption {
 border-left: 2px solid #163954;
 padding-left: 8px; 
}
*
.people-prayer {
  font-size: 20px;
  padding-left: 20px;
  margin: 40px 0;
}
.people-list li {
  margin-bottom: 20px;
}
.people-bodyText p {
  margin-bottom: 30px;
}
.people-body-emphasis {
  margin-top: 40px;
}
.people-body-image {
  margin-top: 55px;
  margin-bottom: 45px;
} */
/* @media (max-width:1000px) {
  .content {
    flex-basis: 100%;
  }
  .people-content-wrapper {
    padding-left: 20px;
    padding-right: 20px;
  }
  #people-share-resources {
    margin-top: 60px;
    position: relative;
    z-index: 30;
  }
  .people-content-general {
    margin-top: 70px !important;
  }
}
@media (max-width:520px) {
  .people-contentNav {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .people-contentNav-linkTab {
    margin-bottom: 30px;
  }
  .people-contentNav {
    margin-bottom: 60px;
  }
}
 */
